/** DATA TABLE **/

.dataTable .dt-empty {
    color: var(--bs-gray-500) !important;
    font-weight: 500 !important;
    font-size: 0.9rem !important;
}

.dt-paging .dt-paging-button,
.dt-paging .dt-paging-button:focus-visible,
.dt-paging .dt-paging-button button:focus,
.dt-paging .dt-paging-button button:focus-visible {
    box-shadow: none !important;
}

.dt-paging .dt-paging-button button {
    padding-left: 1rem !important;
    padding-right: 1rem !important;
}

.dt-paging .dt-paging-button button.first,
.dt-paging .dt-paging-button button.previous,
.dt-paging .dt-paging-button button.next,
.dt-paging .dt-paging-button button.last {
    font-size: 0.85rem !important;
    line-height: 1.5rem !important;
}

.dt-paging .dt-paging-button button:not(.first):not(.previous):not(.next):not(.last) {
    font-weight: 500 !important;
}

.dt-paging .dt-paging-button:not(.active) button {
    color: var(--bs-black) !important;
}

.dt-paging .dt-paging-button.active button {
    background-color: var(--bs-dark) !important;
    border-color: var(--bs-dark) !important;
}

.dt-paging .dt-paging-button.disabled button {
    color: var(--bs-gray-500) !important;
}

.dt-paging .dt-paging-button:not(.active):not(.disabled) button:hover {
    background-color: var(--bs-gray-200) !important;
}

table.dataTable thead.table-dark > tr > th.dt-orderable-asc span.dt-column-order:before,
table.dataTable thead.table-dark > tr > th.dt-orderable-desc span.dt-column-order:after {
    opacity: 0.3 !important;
    line-height: 0.85em !important;
    transition: all 200ms;
}

table.dataTable thead.table-dark > tr > th.dt-ordering-asc span.dt-column-order:before,
table.dataTable thead.table-dark > tr > th.dt-ordering-desc span.dt-column-order:after {
    opacity: 1.0 !important;
}